I have an iPhone3G with software version 4.2.1 and Windows 7 as development machine.
If I create an App with SenchaSDKTools-2.0.0-beta3-windows.exe and sencha-touch-2.0.1-commercial.zip, it just works.
If I create an App with the newest versions SenchaCmd-3.0.0.250-windows.exe and sencha-touch-2.1.0-commercial.zip, on copying the app with iTunes, it says:
"was not installed on the iPhone" "because it requires a newer version of iPhone software.".
If in package.json, I set "minOSVersion" to "4.2", iTunes says:
"was not installed on the iPhone" "because it is not compatible with this iPhone".


Will you support the iPhone3G with Touch2.1?

Funny thing, before I upgraded from 3.1.3 to 4.2.1, the App could be loaded to the Phone, but after start just crashed.